Bug 484437 - (CVE-2006-1861) CVE-2006-1861 freetype: multiple integer overflow vulnerabilities
CVE-2006-1861 freetype: multiple integer overflow vulnerabilities
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=moderate,source=vendorsec,repo...
: Security
Depends On: 484441 484442 484443 484444 502565
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-06 14:31 EST by Josh Bressers
Modified: 2016-03-04 06:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-30 19:22:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2009-02-06 14:31:15 EST
Multiple integer overflows in FreeType before 2.2 allow remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via attack vectors related to (1) bdf/bdflib.c, (2) sfnt/ttcmap.c, (3) cff/cffgload.c, and (4) the read_lwfn function and a crafted LWFN file in base/ftmac.c.  NOTE: item 4 was originally identified by CVE-2006-2493.

http://www.securityfocus.com/archive/1/archive/1/436836/100/0/threaded
http://sourceforge.net/project/shownotes.php?release_id=416463
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=190593
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=190593#c8
https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=128606
https://issues.rpath.com/browse/RPL-429
Comment 2 errata-xmlrpc 2009-05-22 08:06:28 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 2.1

Via RHSA-2009:1062 https://rhn.redhat.com/errata/RHSA-2009-1062.html
Comment 3 errata-xmlrpc 2009-05-22 08:22:14 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2009:0329 https://rhn.redhat.com/errata/RHSA-2009-0329.html
Comment 5 Kurt Seifried 2011-09-30 19:22:44 EDT
This issue has been addressed in following products:

  Red Hat Linux Enterprise 2.1

Via RHSA-2009:1062 available at
https://rhn.redhat.com/errata/RHSA-2009-1062.html

Note You need to log in before you can comment on or make changes to this bug.